/**
 * Copyright (c) 2018-present, tarant
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import Actor from '../actor';
import ActorSystem from '../actor-system';
export default class FunctionActor extends Actor {
    static for(system: ActorSystem, fn: any): (...args: any[]) => Promise<any>;
    private fn;
    constructor(fn: (...args: any[]) => Promise<any>);
    execute(...args: any[]): Promise<any>;
}
