/**
 * Copyright (c) 2018-present, tarant
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import Partition from './partition';
export default class Message<T> {
    static of<T>(partition: Partition, content: T): Message<T>;
    static ofJson(partition: Partition, content: object): Message<object>;
    readonly partition: Partition;
    readonly content: T;
    private constructor();
}
