/**
 * Copyright (c) 2018-present, tarant
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
type AnswerFunction = (r: any) => void;
export default class ActorMessage {
    static of(method: string, args: any[], resolve: AnswerFunction, reject: AnswerFunction): ActorMessage;
    readonly methodName: string;
    readonly arguments: any[];
    readonly resolve: AnswerFunction;
    readonly reject: AnswerFunction;
    private constructor();
}
export {};
