"use strict";
/**
 * Copyright (c) 2018-present, tarant
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
Object.defineProperty(exports, "__esModule", { value: true });
class ActorMessage {
    static of(method, args, resolve, reject) {
        return new ActorMessage(method, args, resolve, reject);
    }
    constructor(methodName, args, resolve, reject) {
        this.methodName = methodName;
        this.arguments = args;
        this.resolve = resolve;
        this.reject = reject;
    }
}
exports.default = ActorMessage;
