/**
 * Copyright (c) 2018-present, tarant
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import Mailbox from '../mailbox/mailbox';
import { IActor } from './actor';
import ActorMessage from './actor-message';
export default class ActorProxy {
    static sendAndReturn(mailbox: Mailbox<ActorMessage>, actorId: string, methodName: string, args: any[]): Promise<object>;
    static of<T extends IActor>(mailbox: Mailbox<ActorMessage>, actor: T): T;
}
