/**
 * Copyright (c) 2018-present, tarant
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import IProcessor from './processor';
interface IFiberConfiguration {
    resources: string[];
    tickInterval: number;
}
export default class Fiber {
    static with(config: IFiberConfiguration): Fiber;
    readonly name: string;
    private readonly configuration;
    private readonly timerId;
    private readonly processors;
    private constructor();
    free(): void;
    acquire(processor: IProcessor): boolean;
    private tick;
}
export {};
