/**
 * Copyright (c) 2018-present, tarant
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import Message from './message';
import ISubscriber from './subscriber';
export default class Subscription<T> {
    readonly messages: Message<T>[];
    readonly id: string;
    readonly subscriber: ISubscriber<T>;
    constructor(id: string, subscriber: ISubscriber<T>);
    process(): Promise<void>;
}
